OpenNMS API 1.2.9

## org.opennms.netmgt.config
Class DestinationPathFactory

    java.lang.Object
      org.opennms.netmgt.config.DestinationPathManager
          org.opennms.netmgt.config.DestinationPathFactory

public class DestinationPathFactory
extends DestinationPathManager

Field Summary
`private static boolean` `initialized` Boolean indicating if the init() method has been called
`private static DestinationPathFactory` `instance`
`private static long` `m_lastModified`
`private static java.io.File` `m_notifConfFile`
`private static java.io.File` `m_pathsConfFile`

Fields inherited from class org.opennms.netmgt.config.DestinationPathManager
`configIn`

Constructor Summary
`DestinationPathFactory()`

Method Summary
`static DestinationPathFactory` `getInstance()`
`static void` `init()`
`void` `reload()`
`protected void` `saveXML(java.lang.String writerString)`
`void` `update()`

Methods inherited from class org.opennms.netmgt.config.DestinationPathManager
`addPath, getPath, getPaths, getTargetCommands, getTargetList, parseXML, pathHasTarget, removePath, removePath, replacePath, saveCurrent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### instance

    private static DestinationPathFactory instance

### m_notifConfFile

    private static java.io.File m_notifConfFile

### initialized

    private static boolean initialized

  Boolean indicating if the init() method has been called

### m_pathsConfFile

    private static java.io.File m_pathsConfFile

### m_lastModified

    private static long m_lastModified

Constructor Detail

### DestinationPathFactory

    public DestinationPathFactory()

Method Detail

### init

    public static void init()
                     throws java.io.IOException,
                            java.io.FileNotFoundException,
                            org.exolab.castor.xml.MarshalException,
                            org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### getInstance

    public static DestinationPathFactory getInstance()

### reload

    public void reload()
                throws java.io.IOException,
                       java.io.FileNotFoundException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException

  Throws:
    `java.io.IOException`
    `java.io.FileNotFoundException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`

### saveXML

    protected void saveXML(java.lang.String writerString)
                    throws java.io.IOException

  Specified by:
    `saveXML` in class `DestinationPathManager`
  Parameters:
    `writerString` -
  Throws:
    `java.io.IOException`

### update

    public void update()
                throws java.io.IOException,
                       org.exolab.castor.xml.MarshalException,
                       org.exolab.castor.xml.ValidationException,
                       java.io.FileNotFoundException

  Specified by:
    `update` in class `DestinationPathManager`
  Throws:
    `java.io.IOException`
    `org.exolab.castor.xml.MarshalException`
    `org.exolab.castor.xml.ValidationException`
    `java.io.FileNotFoundException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.